name: Liste de pages
icon: layout-vertical-line
wysiwyg: true
preview: fields
tabs:
	content:
		label: Contenu
		fields:
			headingSection: fields/headlines
			pages:
				label: Pages
				type: structure
				columns:
					page:
						width: 1/2
					personalize:
						width: 1/2
				fields:
					page:
						label: Page
						type: pages
						layout: cards
						required: true
						info: "{{ page.metaDescription }}"
						image:
							cover: true
							crop: true
							ratio: 40/19
							query: page.cover.toFile
						multiple: false
					
					personalize:
						type: toggle
						label: Personnaliser les informations à afficher
						help: Par défaut, le titre et la description de la page sont affichés.

					image:
						type: files
						multiple: false
						max: 1
						layout: cards
						size: large
						help: "La vignette doit être au ratio 40/19 soit 1280x608px (largeur/hauteur)."
						image:
							cover: true
							crop: true
							ratio: 40/19
						when:
							personalize: true
					
					title:
						label: Surcharger le titre
						type: text
						maxlength: 80
						when:
							personalize: true

					description:
						label: Description
						extends: fields/writer-simple
						marks: false
						when:
							personalize: true
					labelButton:
						label: Label du bouton
						type: text
						when:
							personalize: true
  
	settings: tabs/section-settings